Summary: Csound - sound synthesis language and library, OLPC subset
Name:   olpcsound        
Version: 5.08.92
Release: 15%{?dist}
URL: http://csound.sourceforge.net/
License: LGPLv2+
Group: Applications/Multimedia
Source: http://downloads.sourceforge.net/csound/olpcsound-%version.tar.bz2
Patch0: csd-comment-termination.patch
Patch1: ogg-opcode-fix.patch
Patch2: libstdutil-fix.patch
Patch3: sfont-envelope.patch
Patch4: jack-pulseaudio.patch
Patch5: rtalsa-sched.patch
Patch6: olpcsound-py26.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: swig python scons alsa-lib-devel liblo-devel libsndfile-devel 
BuildRequires: jack-audio-connection-kit-devel 
BuildRequires: libpng-devel libjpeg-devel libvorbis-devel libogg-devel gettext python-devel
%{?!pyver: %define pyver %(python -c 'import sys;print(sys.version[0:3])')}

ExclusiveArch: i386

%description
olpcsound is a subset of the Csound sound and music 
synthesis system, tailored specifically for  XO platform. 

%package devel
Summary: Csound development files and libraries
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Headers and libraries for Csound-based application development

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p0 -b .py26

%build
%{_bindir}/scons buildOLPC=1 customCCFLAGS="%{optflags}" customCXXFLAGS="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%{__python} install-olpc.py --install-python --install-headers --instdir=%{buildroot}
%find_lang csound5

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig
 
%postun -p /sbin/ldconfig

%files -f csound5.lang
%defattr(-,root,root,-)
%{_bindir}/*
%dir %{_libdir}/csound
%dir %{_libdir}/csound/plugins
%{_libdir}/csound/plugins/*
%{_libdir}/libcsound.so.5.1
%{_libdir}/libcsnd.so.5.1
%{_libdir}/python%{pyver}/site-packages/*
%dir %{_datadir}/doc/csound
%{_datadir}/doc/csound/*

%files devel
%defattr(-,root,root,0755)
%dir %{_includedir}/csound
%{_includedir}/csound/*
%{_libdir}/libcsound.so
%{_libdir}/libcsnd.so
%doc COPYING


%changelog
* Sat Jan  3 2009 Peter Robinson <pbrobinson@gmail.com> - 5.08.92-15
- Add patch for python 2.6 versions

* Sat Jan  3 2009 Peter Robinson <pbrobinson@gmail.com> - 5.08.92-14
- Hopefully fix versioned python dir locations

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 5.08.92-13
- Rebuild for Python 2.6

* Wed Nov 19 2008  Peter Robinson <pbrobinson@gmail.com> - 5.08.92-12
  - Add ExclusiveArch i386 until the 64 bit issues are fixed

* Fri Aug 22 2008  Victor Lazzarini <vlazzarini@nuim.ie> - 5.08.92-11
  - removed pulseaudio dependency

* Fri Aug 22 2008  Victor Lazzarini <vlazzarini@nuim.ie> - 5.08.92-10
  - fixed jack dependency
 
* Fri Aug 15 2008 Victor Lazzarini <vlazzarini@nuim.ie> - 5.08.92-9
  - add patches for including jack and pulseaudio modules on the build,
    and rt scheduler priority setting code to alsa module.

* Mon Aug 11 2008 Victor Lazzarini <vlazzarini@nuim.ie> - 5.08.92-8
  - add patch for amplitude envelopes on soundfont opcodes

* Mon Aug 11 2008 Victor Lazzarini <vlazzarini@nuim.ie> - 5.08.92-7
  - add patch to fix libstdutil.so loading

* Mon Aug 11 2008 Victor Lazzarini <vlazzarini@nuim.ie> - 5.08.92-6
  - fixed specfile patch numbering

* Mon Aug 11 2008 Victor Lazzarini <vlazzarini@nuim.ie> - 5.08.92-5
  - fixed CVS tag issue

* Mon Aug 11 2008 Victor Lazzarini <vlazzarini@nuim.ie> - 5.08.92-4
  - add patch to fix liboggplay linking

* Mon Jul 27 2008  Daniel Drake <dsd@laptop.org> - 5.08.92-3
  - add patch from CVS to fix csd comment termination parsing

* Wed May 28 2008  Victor.Lazzarini <vlazzarini@nuim.ie> - 5.08.92-2
  - fixed version format in changelog
  - fixed permissions of Opcodes/hrtfopcodes.c and Util/mixer.c in srcs

* Mon May 19 2008 Victor.Lazzarini <vlazzarini@nuim.ie> - 5.08.92-1
  - fixed license
  - removed -fomit-frame-pointer from SConstruct
  - fixed description

* Mon May 19 2008 Victor.Lazzarini <vlazzarini@nuim.ie>
  5.08.92-0
 - fixed licensing issues and removed non-free sources/binaries
 - fixed requires for -devel
 - removed -ffast-math option from SConstruct 
 - added _bindir macro
 - added ownership of /usr/lib/csound
 - removed redundant build working directory for csound5.lang
 - removed stripping commands from install-olpc.py script
 - added AUTHORS to docs, removed INSTALL and readme-csound5.txt
 - shortened the description and added EVR to this changelog

* Fri May 02 2008 Victor Lazzarini <vlazzarini@nuim.ie>
 - fixed method of obtaining python site directory
 - fixed license code
 - fixed ownership of directories
 - added dist tag to version
 - added fedora flags

* Wed Apr 02 2008  Victor Lazzarini <vlazzarini@nuim.ie>
 - initial version of this spec

